package com.example.audiovisualrecord.ui.chooseitem;

import java.io.Serializable;

public class ChooseDeviceItemData implements Serializable {
    private String recordDate="";

    private String factoryAreaName ="";
//    private String maintenancePlantCompanyId="";
    private String factoryAreaId ="";

    private String company="";
    private String companyId="";

    private String productionPlantId="";
    private String factoryClassCode ="";
    private String factoryClass ="";

    private String deviceCategory="";
    private String deviceCategryId="";

    private String shootType ="";
    private String deciceId="";
    private String deciceName="";
    private String keynote="";
    private String filePath="";
    private String uploadEmployees="";
    private boolean backgroundChange=false;
    private boolean checkEndItem=false;
//    public String getMaintenancePlantCompanyId() {
//        return maintenancePlantCompanyId;
//    }
//
//    public void setMaintenancePlantCompanyId(String maintenancePlantCompanyId) {
//        this.maintenancePlantCompanyId = maintenancePlantCompanyId;
//    }

    public String getFactoryAreaId() {
        return factoryAreaId;
    }

    public void setFactoryAreaId(String factoryAreaId) {
        this.factoryAreaId = factoryAreaId;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getProductionPlantId() {
        return productionPlantId;
    }

    public void setProductionPlantId(String productionPlantId) {
        this.productionPlantId = productionPlantId;
    }

    public String getShootType() {
        return shootType;
    }

    public void setShootType(String shootType) {
        this.shootType = shootType;
    }

    public String getDeviceCategryId() {
        return deviceCategryId;
    }

    public void setDeviceCategryId(String deviceCategryId) {
        this.deviceCategryId = deviceCategryId;
    }

    public String getDeciceName() {
        return deciceName;
    }

    public void setDeciceName(String deciceName) {
        this.deciceName = deciceName;
    }

    public boolean isBackgroundChange() {
        return backgroundChange;
    }

    public String getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(String recordDate) {
        this.recordDate = recordDate;
    }

    public String getFactoryAreaName() {
        return factoryAreaName;
    }

    public void setFactoryAreaName(String factoryAreaName) {
        this.factoryAreaName = factoryAreaName;
    }

    public String getFactoryClassCode() {
        return factoryClassCode;
    }

    public void setFactoryClassCode(String factoryClassCode) {
        this.factoryClassCode = factoryClassCode;
    }

    public String getFactoryClass() {
        return factoryClass;
    }

    public void setFactoryClass(String factoryClass) {
        this.factoryClass = factoryClass;
    }

    public String getDeviceCategory() {
        return deviceCategory;
    }

    public void setDeviceCategory(String deviceCategory) {
        this.deviceCategory = deviceCategory;
    }

    public String getDeciceId() {
        return deciceId;
    }

    public void setDeciceId(String deciceId) {
        this.deciceId = deciceId;
    }

    public String getKeynote() {
        return keynote;
    }

    public void setKeynote(String keynote) {
        this.keynote = keynote;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getUploadEmployees() {
        return uploadEmployees;
    }

    public void setUploadEmployees(String uploadEmployees) {
        this.uploadEmployees = uploadEmployees;
    }

    public boolean getBackgroundChange() {
        return backgroundChange;
    }

    public void setBackgroundChange(boolean backgroundChange) {
        this.backgroundChange = backgroundChange;
    }

    public boolean isCheckEndItem() {
        return checkEndItem;
    }

    public void setCheckEndItem(boolean checkEndItem) {
        this.checkEndItem = checkEndItem;
    }
}
